<template>
  <div class="loadingCtn">
      <img class="loadingImg" :style="`width:${size}px;height:${size}px;`" src="./../../static/img/loading.png" alt="">
  </div>
</template>
<script>
  export default{
    props:{
      size:{
        type: Number,
        default: 35
      }
    }
  }
</script>
<style lang="scss" scoped>
.loadingCtn{
    display: inline-block;
    vertical-align: middle;
    margin-top: 0px;
    margin-left: -2px;
    margin-right: 5px;
}
.loadingImg{
  animation: rotate 0.8s infinite linear;
  vertical-align: middle;
  margin-right: 2px;
}
@keyframes rotate {
  from {
    transform: rotateZ(0)
  } to { 
    transform: rotateZ(360deg)
  }
}
</style>
